#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-5NKx3Ey2sWPBEaxkWGcUP4-dns-internal
key:                  dns-4.0.1-5NKx3Ey2sWPBEaxkWGcUP4-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  904513536644934c8d6eaa76a6cbf324
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-5NKx3Ey2sWPBEaxkWGcUP4-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-IyWEfdMvX6p3WNvmQSifvv
    attoparsec-0.14.4-G41f0gWdRBwHFZTIHlcTn0
    auto-update-0.1.6-4NnbV2bgYgFK0g3RbgLAzm base-4.15.1.0
    base16-bytestring-1.0.2.0-EZx5VuJfBdoEr9teucjJMM
    base64-bytestring-1.2.1.0-6xidEBbMrDSCoDX7iFI0KL
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-KQ0m4dXHADDGpps1TyELYy
    hourglass-0.2.12-JgyIFmYbGd8CbFRYtXchgL
    iproute-1.7.12-2buQfM881QJ4FSMswBtXRg mtl-2.2.2
    network-3.1.2.7-3BOR0Zygkx81QadwHjCIWF
    psqueues-0.2.7.3-8CCbVS4ZDMp9U1EcFAfJP3

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-9qVoM4v8dPZ2d62TgzrwrD
key:                  dns-4.0.1-9qVoM4v8dPZ2d62TgzrwrD
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  02f998cab788c5f14813a88b12a15157
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-9qVoM4v8dPZ2d62TgzrwrD
depends:
    array-0.5.4.0 async-2.2.4-IyWEfdMvX6p3WNvmQSifvv
    attoparsec-0.14.4-G41f0gWdRBwHFZTIHlcTn0
    auto-update-0.1.6-4NnbV2bgYgFK0g3RbgLAzm base-4.15.1.0
    base16-bytestring-1.0.2.0-EZx5VuJfBdoEr9teucjJMM
    base64-bytestring-1.2.1.0-6xidEBbMrDSCoDX7iFI0KL
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-KQ0m4dXHADDGpps1TyELYy
    dns-4.0.1-5NKx3Ey2sWPBEaxkWGcUP4-dns-internal
    hourglass-0.2.12-JgyIFmYbGd8CbFRYtXchgL
    iproute-1.7.12-2buQfM881QJ4FSMswBtXRg mtl-2.2.2
    network-3.1.2.7-3BOR0Zygkx81QadwHjCIWF
    psqueues-0.2.7.3-8CCbVS4ZDMp9U1EcFAfJP3

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

